import { Workspace } from '../../agent-utils/index.js';
interface DirectoryChunkerInput {
    workspace: Workspace;
    directory?: string;
}
export declare class DirectoryChunker {
    private readonly config;
    constructor(config: {
        maxChunkSize: number;
    });
    chunk(input: DirectoryChunkerInput): Promise<string[]>;
    private chunkDirectory;
}
export {};
